Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RoleClassSpecimen

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RoleClassSpecimen

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RoleClassSpecimen

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Role Class Specimen', and utility methods for working with them. specDomain: V11591 (C-0-D11555-V13940-V10429-V11591-cpt)

See Also:
  `CDAR2Package.getRoleClassSpecimen()`

Field Summary
`static int` | `ALQT` The 'ALQT' literal value.
`static RoleClassSpecimen` | `ALQT_LITERAL` The 'ALQT' literal object.
`static int` | `ISLT` The 'ISLT' literal value.
`static RoleClassSpecimen` | `ISLT_LITERAL` The 'ISLT' literal object.
`static int` | `SPEC` The 'SPEC' literal value.
`static RoleClassSpecimen` | `SPEC_LITERAL` The 'SPEC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Role Class Specimen' enumerators.

Method Summary
`static RoleClassSpecimen` | `get(int value)` Returns the 'Role Class Specimen' literal with the specified integer value.
`static RoleClassSpecimen` | `get(java.lang.String literal)` Returns the 'Role Class Specimen' literal with the specified literal value.
`static RoleClassSpecimen` | `getByName(java.lang.String name)` Returns the 'Role Class Specimen' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SPEC

    public static final int SPEC

  The 'SPEC' literal value.

  If the meaning of 'SPEC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPEC_LITERAL`, Constant Field Values

### ALQT

    public static final int ALQT

  The 'ALQT' literal value.

  If the meaning of 'ALQT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALQT_LITERAL`, Constant Field Values

### ISLT

    public static final int ISLT

  The 'ISLT' literal value.

  If the meaning of 'ISLT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ISLT_LITERAL`, Constant Field Values

### SPEC_LITERAL

    public static final RoleClassSpecimen SPEC_LITERAL

  The 'SPEC' literal object.

  See Also:
    `SPEC`

### ALQT_LITERAL

    public static final RoleClassSpecimen ALQT_LITERAL

  The 'ALQT' literal object.

  See Also:
    `ALQT`

### ISLT_LITERAL

    public static final RoleClassSpecimen ISLT_LITERAL

  The 'ISLT' literal object.

  See Also:
    `ISLT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Role Class Specimen' enumerators.

Method Detail

### get

    public static RoleClassSpecimen get(java.lang.String literal)

  Returns the 'Role Class Specimen' literal with the specified literal value.

### getByName

    public static RoleClassSpecimen getByName(java.lang.String name)

  Returns the 'Role Class Specimen' literal with the specified name.

### get

    public static RoleClassSpecimen get(int value)

  Returns the 'Role Class Specimen' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD